
///////////////////////////////////////////////////////////////////////////////////////////////////
//
// Global Settings Members
//
///////////////////////////////////////////////////////////////////////////////////////////////////
var gSettingsusername = '';
var gSettingspassword= '';
var gSettingsurl= '';
var gSettingsport = '';
var gSettingsrate = '';

///////////////////////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////////////////////
//
// loadSettings - first method called when Settings page loads
//
///////////////////////////////////////////////////////////////////////////////////////////////////
function loadSettings() {   
    // main Setting page onload method (first method called every time the Settings page is loaded)
    
    // init event methods
    System.Gadget.onSettingsClosing = procSettingsClosingEvent;                 // set settings page closing event
    
    // get settings data
	gSettingsusername = System.Gadget.Settings.read("globalusername");		// read settings data
	gSettingspassword = System.Gadget.Settings.read("globalpassword");		// read settings data
	gSettingsurl = System.Gadget.Settings.read("globalurl");			// read settings data
	gSettingsport = System.Gadget.Settings.read("globalport");			// read settings data
	gSettingsrate = System.Gadget.Settings.read("globalrate");			// read settings data
	
	//Set defaults
	if (gSettingsurl==""){gSettingsurl="127.0.0.1"}
	if (gSettingsport=="") {gSettingsport="6886"}
	if (gSettingsrate=="") {gSettingsrate="5"}

    // add data to Settings page
    txtusername.value = gSettingsusername;                                     // place the logon details into the textbox
    txtpassword.value = gSettingspassword;                                     // place the logon details into the textbox
    txturl.value = gSettingsurl;                                     // place the logon details into the textbox
    txtport.value = gSettingsport;                                     // place the logon details into the textbox
    txtrate.value = gSettingsrate;                                     // place the logon details into the textbox
}
///////////////////////////////////////////////////////////////////////////////////////////////////


///////////////////////////////////////////////////////////////////////////////////////////////////
//
// procSettingsClosingEvent - process settings page closing event
//
///////////////////////////////////////////////////////////////////////////////////////////////////
function procSettingsClosingEvent(event){
    // process settings page closing event
    if (event.closeAction == event.Action.commit) {
        // save settings 

   	gSettingsusername = txtusername.value;
   	gSettingspassword =  txtpassword.value;
   	gSettingsurl = txturl.value;  
   	gSettingsport = txtport.value;
   	gSettingsrate = txtrate.value;

	System.Gadget.Settings.write("globalusername", gSettingsusername); 
	System.Gadget.Settings.write("globalpassword", gSettingspassword); 
	System.Gadget.Settings.write("globalurl", gSettingsurl); 
	System.Gadget.Settings.write("globalport", gSettingsport); 
	System.Gadget.Settings.write("globalrate", gSettingsrate); 
    }
    event.cancel = false;    
}
///////////////////////////////////////////////////////////////////////////////////////////////////











